<?php

namespace App\Http\Controllers\Wallets;

use App\Classes\Modules\Wallets\ControllersLogic\TopUpWalletLogic;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class TopUpWalletController
{

    public function topUp(Request $request, TopUpWalletLogic $logic): JsonResponse {
        return $logic->execute($request);
    }
}
